| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions | List of all members
Tp::ContactSendingStateMap Struct Reference
Mapping types

`#include <TelepathyQt/Types>`

Inherits QMap< uint, uint >.

## Public Member Functions

| ContactSendingStateMap ()
| ContactSendingStateMap (const QMap< uint, uint > &a)
ContactSendingStateMap & | operator= (const QMap< uint, uint > &a)

## Detailed Description

Mapping type generated from the specification. Convertible with QMap<uint, uint>, but needed to have a discrete type in the Qt type system.

A map from a contact to his or her sending state.

## Constructor & Destructor Documentation

Tp::ContactSendingStateMap::ContactSendingStateMap | ( |  | ) |

inline

Tp::ContactSendingStateMap::ContactSendingStateMap | ( | const QMap< uint, uint > & | a | ) |

inline

## Member Function Documentation

ContactSendingStateMap& Tp::ContactSendingStateMap::operator= | ( | const QMap< uint, uint > & | a | ) |

inline